{
  name: "Iron Ball",
  spritenum: 224,
  fling: {
  	basePower: 130,
  },
  onEffectiveness(typeMod, target, type, move) {
  	if (!target) return;
  	if (target.volatiles['ingrain'] || target.volatiles['smackdown'] || this.field.getPseudoWeather('gravity')) return;
  	if (move.type === 'Ground' && target.hasType('Flying')) return 0;
  },
  /* airborneness negation implemented in sim/pokemon.js:Pokemon#isGrounded */
  onModifySpe(spe) {
  	return this.chainModify(0.5);
  },
  num: 278,
  gen: 4,
}